.waze-setting {
  background-color: #088c67;
  color: #ebebeb;
  font-size: 14px;
  font-weight: normal;

  .title {
    border-bottom: 1px solid #0d7c5d;
    border-radius: 4px;
  }
  .text-gray {
    color: #afb2b5;
  }

  .btn:focus {
    outline: none;
    box-shadow: none;
  }

  button:focus {
    border: none;
    outline: none;
  }

  .btn {
    background: none;
    border: none;
  }

  .btn-group {
    background: #4b525b;
    border: 1px solid #222831;
    box-sizing: border-box;
    border-radius: 4px;
  }

  .sidenav_panel_mapset_header {
    font-size: 14px;
    border-bottom: 1px solid #171c24;
  }

  .panel_legend {
    padding: 10px;
    background: #16624c;
    border-radius: 4px;
    min-height: 90px;
    max-height: 220px;

    .checkbox .cr {
      position: relative;
      display: inline-block;
      border: 1px solid #144f3f;
      border-radius: 0.25em;
      width: 1.3em;
      height: 1.3em;
      margin-right: 0.5em;
      margin-top: 3px;
    }

    .checkbox .cr .ng-fa-icon {
      position: absolute;
      font-size: 0.8em;
      line-height: 0;
      top: 25%;
      left: 15%;
    }

    .checkbox label input[type='checkbox'] {
      display: none;
    }

    .checkbox label input[type='checkbox'] + .cr > .ng-fa-icon {
      opacity: 0;
    }

    .checkbox label input[type='checkbox']:checked + .cr > .ng-fa-icon {
      opacity: 1;
    }

    .checkbox label input[type='checkbox']:disabled + .cr {
      opacity: 0.5;
    }

    .checkbox label input[type='checkbox']:checked + .cr {
      background-color: #ffffff;
      border: none;
    }
  }

  .mapset_legend {
    border-radius: 4px;
    color: #ffffff;
    font-style: normal;
    font-weight: normal;
    font-size: 14px;
    line-height: 20px;
    max-height: 200px;
  }

  .sidenav-panel-mapset-tool {
    font-size: 12px;
    font-weight: normal;
  }

  .sidenav-panel-mapset-tool .btn {
    font-size: 12px;
    font-weight: normal;
    width: 54px;
    // height: 30px;
    background: transparent;
    border: 1px solid #107358;
  }

  .sidenav-panel-mapset-tool .border-button {
    border: 1px solid #107358;
    border-radius: 4px;
  }

  .tools .btn {
    font-size: 13px;
  }
}

::ng-deep {
  .waze-setting {
    .custom-slider-transparency {
      height: 33px;
      width: 190px;
      opacity: 1;
      left: 58px;
      top: -2px;
      z-index: 1;
      border-radius: 5px;

      .ng5-slider {
        margin: 0;
      }

      .ng5-slider .ng5-slider-bubble.ng5-slider-limit,
      .ng5-slider .ng5-slider-bubble.ng5-slider-model-value {
        color: #ffffff !important;
      }

      .ng5-slider .ng5-slider-pointer.ng5-slider-active:after {
        background: #ffffff;
      }

      .ng5-slider.vertical .ng5-slider-pointer {
        left: -8px !important;
        top: auto;
        bottom: 0;
      }

      .ng5-slider .ng5-slider-pointer {
        cursor: pointer;
        width: 10px;
        height: 10px;
        top: -3px;
        background-color: #0db9f0;
        z-index: 3;
        border-radius: 16px;
      }

      .ng5-slider .ng5-slider-pointer:after {
        display: none;
      }

      .ng5-slider .ng5-slider-bubble {
        cursor: default;
        bottom: 16px;
        padding: 1px 3px;
        color: #55637d;
        font-size: 12px;
      }
      .ng5-slider .ng5-slider-pointer {
        background: #ffffff;
      }
      .ng5-slider-ceil,
      .ng5-slider-model-value,
      .ng5-slider-floor {
        display: none !important;
      }

      .ng5-slider-bar {
        background: #222831 !important;
      }

      .ng5-slider .ng5-slider-selection {
        background: #ffffff !important;
        visibility: visible !important;
      }
    }
  }

}
